<!DOCTYPE HTML>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <title>Bootstrap Components</title>
</head>
<body>
  <!-- navbar -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <a class="navbar-brand" href="#">Ada Lovelace</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">About me <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Projects</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Tools</a>
        </li>
      </ul>
    </div>
  </nav>

  <div class="container-fluid text-center">
    <div class="row">
      <!-- sidebar -->
      <div class="card col-xl-2 d-none d-xl-block p-0">
        <div class="container-fluid text-center">
          <div class="row">
            <div class="accordion" id="accordionExample">
              <!-- Services -->
              <div class="card">
                <div class="card-header" id="headingOne">
                  <h2 class="mb-0">
                    <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                      Services
                    </button>
                  </h2>
                </div>
            
                <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                  <div class="card-body">
                    <ul class="text-justify list-unstyled">
                      <li><a href="#">Front-End Design</a></li>
                      <li><a href="#">Back-End Server</a></li>
                      <li><a href="#">Full-Stack Development</a></li>
                    </ul>
                  </div>
                </div>
              </div>
              <!-- projects -->
              <div class="card">
                <div class="card-header" id="headingTwo">
                  <h2 class="mb-0">
                    <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                      Projects
                    </button>
                  </h2>
                </div>
                <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                  <div class="card-body">
                    <ul class="text-justify list-unstyled">
                      <li><a href="#">HTML</a></li>
                      <li><a href="#">Bootstrap</a></li>
                      <li><a href="#">Node JS Server</a></li>
                    </ul>
                  </div>
                </div>
              </div>
              <!-- tools -->
              <div class="card">
                <div class="card-header" id="headingThree">
                  <h2 class="mb-0">
                    <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                      Tools
                    </button>
                  </h2>
                </div>
                <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                  <div class="card-body">
                    <ul class="text-justify list-unstyled">
                      <li><a href="#">Core Tools</a></li>
                      <li><a href="#">Other Tools</a></li>
                    </ul>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- profile -->
      <div class="col-xl-10 p-0">
        <div class="container-fluid bg-dark text-light min-vh-100 p-3 p-md-5 text-center">
          <img width="250" class="mt-5 mt-md-0 rounded-circle" src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae" alt="">

          <h1>Ada Lovelace</h1>
          <h3>Full-Stack Developer</h3>

          <div class="row mt-5">
            <div class="offset-md-2 col-md-8">
              <p>
                Prow scuttle parrel provost Sail ho shrouds spirits boom mizzenmast yardarm. Pinnace holystone mizzenmast quarter crow's nest nipperkin grog yardarm hempen halter furl. Swab barque interloper chantey doubloon starboard grog black jack gangway rutters.
                Deadlights jack lad schooner scallywag dance the hempen jig carouser broadside cable strike colors. Bring a spring upon her cable holystone blow the man down spanker Shiver me timbers to go on account lookout wherry doubloon chase. Belay yo-ho-ho keelhaul squiffy black spot yardarm spyglass sheet transom heave to.
                Trysail Sail ho Corsair red ensign hulk smartly boom jib rum gangway. Case shot Shiver me timbers gangplank crack Jennys tea cup ballast Blimey lee snow crow's nest rutters. Fluke jib scourge of the seven seas boatswain schooner gaff booty Jack Tar transom spirits.
              </p>
            </div>
          </div>
          <!-- carousel -->
          <div class="row d-none d-md-block mt-md-5">
            <div class="offset-xl-3 col-xl-6">
              <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                <div class="carousel-inner">
                  <div class="carousel-item active">
                    <img src="https://place-puppy.com/500x300" class="d-block w-100" alt="...">
                  </div>
                  <div class="carousel-item">
                    <img src="https://placekitten.com/500/300" class="d-block w-100" alt="...">
                  </div>
                  <div class="carousel-item">
                    <img src="https://placebear.com/500/300" class="d-block w-100" alt="...">
                  </div>
                </div>
                <button class="carousel-control-prev" type="button" data-target="#carouselExampleControls" data-slide="prev">
                  <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                  <span class="sr-only">Previous</span>
                </button>
                <button class="carousel-control-next" type="button" data-target="#carouselExampleControls" data-slide="next">
                  <span class="carousel-control-next-icon" aria-hidden="true"></span>
                  <span class="sr-only">Next</span>
                </button>
              </div>
            </div>
          </div>
          <!-- other projects -->
          <div class="bg-secondary text-light min-vh-100 p-5">
            <h2 class="mb-3">Other Projects</h2>
            <div class="p-md-5 d-lg-flex justify-content-center">
              <!-- html card -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mx-1 rounded-0">
                <div class="card-body">
                  <img class="card-img-top" src="https://3.bp.blogspot.com/-7x5c_f1yzsQ/XHv9FZKHrEI/AAAAAAAADrE/4iGl9Lm6K2odX4SdWbU_RN6gZesx4IaGACEwYBhgL/s1600/html.jpg" alt="">
                  <h5 class="card-title">HTML</h5>
                  <h6 class="card-subtitle mb-2 text-muted">Programming Basics</h6>
                  <p class="card-text">
                    Prow scuttle parrel provost Sail ho shrouds spirits boom mizzenmast yardarm. Pinnace holystone mizzenmast quarter crow's nest nipperkin grog yardarm hempen halter furl. Swab barque interloper chantey doubloon starboard grog black jack gangway rutters.
                  </p>
                  <a href="#" class="card-link">Card link</a>
                  <a href="#" class="card-link">Another link</a>
                </div>
              </div>
              <!-- Node JS Server card -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mx-1 rounded-0">
                <div class="card-body">
                  <img class="card-img-top" src="https://clever-solution.com/wp-content/uploads/2020/04/5625%D0%9C%D0%BE%D0%BD%D1%82%D0%B0%D0%B6%D0%BD%D0%B0%D1%8F-%D0%BE%D0%B1%D0%BB%D0%B0%D1%81%D1%82%D1%8C-1-1280x720.png" alt="">
                  <h5 class="card-title">Node JS Server</h5>
                  <h6 class="card-subtitle mb-2 text-muted">Back End Basics</h6>
                  <p class="card-text">
                    Prow scuttle parrel provost Sail ho shrouds spirits boom mizzenmast yardarm. Pinnace holystone mizzenmast quarter crow's nest nipperkin grog yardarm hempen halter furl. Swab barque interloper chantey doubloon starboard grog black jack gangway rutters.
                  </p>
                  <a href="#" class="card-link">Card link</a>
                  <a href="#" class="card-link">Another link</a>
                </div>
              </div>
              <!-- Bootstrap card -->
              <div class="card bg-dark col-xl-4 mb-5 mb-xl-0 mx-1 rounded-0">
                <div class="card-body">
                  <img class="card-img-top" src="https://miro.medium.com/max/1400/1*2sNAb8cIxpOQ9Hi17hbg_A.png" alt="">
                  <h5 class="card-title">Bootstrap</h5>
                  <h6 class="card-subtitle mb-2 text-muted">Rapid Prototyping</h6>
                    <p class="card-text">
                      Prow scuttle parrel provost Sail ho shrouds spirits boom mizzenmast yardarm. Pinnace holystone mizzenmast quarter crow's nest nipperkin grog yardarm hempen halter furl. Swab barque interloper chantey doubloon starboard grog black jack gangway rutters.
                    </p>
                  <a href="#" class="card-link">Card link</a>
                  <a href="#" class="card-link">Another link</a>
                </div>
              </div>
              <!--  -->
            </div>
          </div>

          <!-- 
          - Small sized screens - 12 columns
          - Medium and large sized screens - 8 columns
          - Extra large sized screens - 4 columns
          -->

          <!-- contact form -->
          <div class="text-light">
            <!-- form -->
            <div class="row justify-content-center bg-dark py-5 px-3">
              <div class="col-md-8 col-xl-4 bg-primary jusify-content-center py-5">
                <form class="d-flex flex-column">
                  <label for="Name">Name</label>
                  <input type="text" name="fullname" id="fullname">
      
                  <label for="Email">Email</label>
                  <input type="email" name="Email" id="Email">
      
                  <label for="Contact Number">Contact</label>
                  <input type="text" name="contact" id="contact">
      
                  <label for="concern">Concern</label>
                  <select name="concern">
                    <option value="concern-1">Quotation</option>
                    <option value="concern-2">Quotation1</option>
                    <option value="concern-2">Quotation2</option>
                    <option value="concern-2">Quotation3</option>
                  </select>
      
                  <label for="message">message</label>
                  <textarea name="message" id="message" cols="20" rows="10"></textarea>
                  <button type="button" class="my-3 bg-secondary text-white" data-toggle="modal" data-target="#exampleModal">
                    Send Email
                  </button>
                </form>
              </div>
            </div>
          </div>
          <!--  -->
        </div>
      </div>

      

    </div>
  </div>
</body>
</html>

<!-- Script -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

<!-- 
Instructions that can be provided to the students for reference:
Activity:
1. Create a Contact section.
2. Create a row & one column with a form that will accept the following fields:
- Name (text input)
- Email Address (email input)
- Contact Number (number input)
- Concern (dropdown selection)
- Message (textarea)
3. Adjust the size of the form following the different breakpoints:
- Small sized screens - 12 columns
- Medium and large sized screens - 8 columns
- Extra large sized screens - 4 columns
4. Put the row's contents to the center of the screen and change the layout of the form by utilizing the different Bootstrap classes.
5. Add a button to the form.
6. Add a Modal Component to the portfolio that opens when the form button is pressed.
7. Create a git repository named S12.
8. Initialize a local git repository, add the remote link and push to git with the commit message of Add activity code.
9. Add the link in Boodle. -->